CONSOLE_TRYLOCK(9)

NAME
console_trylock - try to lock the console system for exclusive use.

SYNOPSIS

int console_trylock(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Try to acquire a lock which guarantees that the caller has exclusive access to the console system and the console_drivers list.

returns 1 on success, and 0 on failure to acquire the lock.

COPYRIGHT